From 699af1cf596a999ed643da8b60cdd8c3f0e5fe93 Mon Sep 17 00:00:00 2001
From: Marc de la Gueronniere <mdelagueronniere@verisign.com>
Date: Fri, 23 Aug 2013 20:40:53 +0000
Subject: [PATCH 2/2] Force VLAN_HWTAGGING off in Netmap mode

---
 sys/dev/ixgbe/ixgbe.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/sys/dev/ixgbe/ixgbe.c b/sys/dev/ixgbe/ixgbe.c
index 4483e45..84abf19 100644
--- a/sys/dev/ixgbe/ixgbe.c
+++ b/sys/dev/ixgbe/ixgbe.c
@@ -4811,7 +4811,8 @@ ixgbe_setup_vlan_hw_support(struct adapter *adapter)
 	*/
 	if (adapter->num_vlans == 0)
 		return;
-	const bool hwstrip = !!(ifp->if_capenable & IFCAP_VLAN_HWTAGGING);
+	const bool hwstrip = (ifp->if_capenable & IFCAP_VLAN_HWTAGGING)
+		&& !(ifp->if_capenable & IFCAP_NETMAP);
 
 
 	/*
-- 
1.7.4.1

